# Quels usages pour l'informatique ?


Quand on termine ses études, on s'en pose un tas, des questions. Sur le
métier que l'on veut faire, sur ce que ça signifie, sur le sens et la
valeur du travail. Et j'en suis arrivé à faire un constat simple:
l'informatique, c'est utile, tant que ça ne vient pas vous pourrir la
vie. Oui, parce que de l'informatique on en a partout, des "geeks" et
des "accros" aussi, et que ça vient s'immiscer dans nos vies même quand
d'autres moyens ou médias sont plus utiles ou pertinents.

Certes, l'informatique nous permet de communiquer et travailler plus
efficacement, Mais à quel prix ? Ce n'est pas parce qu'il est possible
d'[industrialiser
l'éducation](http://retourdactu.fr/2011/11/07/la-non-communication-nouveau-modele-de-societe/)
(ou l'agriculture \!), que l'on doit le faire. Oui, ça me dérange d'être
une des nombreuses personnes à l'œuvre derrière cette soit disant
"révolution", qui n'est pas toujours pour le meilleur. Attention, je ne
remets pas l'informatique et son intérêt en cause: je me pose des
questions quand à la place que je veux lui donner et la place que je
souhaites occuper dans son évolution. Ce n'est pas parce qu'on peut tuer
avec un marteau (avec un peu de volonté) qu'il s'agit d'un mauvais
outil, mais si tout le monde se met à tuer avec des marteaux (y a des
malades partout, hein), alors se poser la question de son rôle, en tant
que fabricant de marteaux me semble nécessaire (oui, je vous l'accorde,
on aura vu des comparaisons plus perspicaces).

Donc: à partir de quel moment l'informatique cesse d'être un outil utile
pour transformer nos modes de vies d'une manière qui me dérange ? Peut
être avec son arrivée sur des périphériques mobiles ? Peut être quand
elle se fait l'instrument du consumérisme et de l'individualisme.

## Et alors, on fait quoi ?

Mais si je continue à faire de l'informatique, il y a bien des raison.
J'ai d'ailleurs trouvé mon intérêt de par le coté collaboratif qui est
permis et développé par l'outil informatique, et notamment par le réseau
des réseaux (internet). Faisons ensemble, mes amis. Prouvons que la
collaboration a de meilleurs jours à vivre que la compétition. Le web,
notamment, est une avancée majeure en ce qui concerne la liberté
d'expression et le partage de connaissances (oui, kipédia). Je vous
conseille d'ailleurs à ce propos [l'excellent discours tenu par Bernard
Stiegler](http://owni.fr/2011/11/30/vers-une-economie-de-la-contribution/)
paru récemment sur [owni](http://www.owni.fr).

Et c'est cet avenir qu'il me plait de défendre: l'ouverture d'esprit, la
possibilité que chacun puisse contribuer et participer à une base de
savoir commune, en apprenant des autres. Mais par pitié, n'imposons pas
la technologie là où elle n'est pas nécessaire, et utilisons la avec
tact quand elle peut nous être profitable.

Il me plait de repenser l'informatique comme outil et non plus comme
mode de vie. Faisons le l'outil de la collaboration. À l'école,
apprenons à nos enfants à collaborer, à susciter le partage, pas
uniquement avec l'outil informatique, mais aussi avec celui ci, tout en
leurs apprenant à avoir un regard critique sur les informations qu'ils
reçoivent.

En bref, questionner le rôle que l'on souhaite avoir dans notre société
par le biais de l'informatique est nécessaire. Comme d'autres, je suis
arrivé à l'informatique par le biais du premier ordinateur familial, il
y a de ça une bonne quinzaine d'années. Ça intrigue, on touche un peu à
tout (on en fait des conneries \!) et on finit par apprendre/comprendre
comment ça marche, petit à petit. Cette curiosité n'est d'ailleurs pas
le propre de l'informatique puisqu'on la retrouve dans la cuisine, dans
le bricolage et dans un tas de domaines de notre vie quotidienne.

Finalement, c'est aimer bidouiller, et comprendre comment ça fonctionne,
quitte à sortir les compétences de leur domaine de prédilection (qui a
dit que l'informatique ne pouvait être artistique ?) Le mouvement hacker
(bidouilleurs) aime à sortir l'informatique de son carcan et l'appliquer
ailleurs.

C'est de cette manière que j'ai envie de considérer mon métier, qui
avant tout est une passion. Je suis un bidouilleur, j'aime découvrir
comment les choses fonctionnent et avoir une panoplie d'outils qui me
permettent de répondre à des besoins réels.

## Favoriser la collaboration

Et donc, en tant qu'individu, pourquoi faire de l'informatique ?
Qu'est-ce qui m'attire dans cet outil ?

Ce qu'on pourrait qualifier de "recherche fondamentale", l'écriture de
bibliothèques logicielles, est important mais n'est pas tout. Ce qui
importe ce sont les usages qui en découlent. Je souhaite **savoir écrire
des outils qui sont utiles**, **qui favorisent la collaboration et
participent à l'ouverture des esprits**.

Je choisis de faire de l'informatique pour créer les outils qui
répondent à des problématiques réelles, pour trouver de meilleures
manières de communiquer et de travailler ensemble. Mais, comme me le
disait David,
d'[Outils-Réseaux](http://outils-reseaux.org/PresentationProjet), on ne
crée pas de la coopération: rien ne sert d'essayer de faire coopérer des
gens qui ne veulent pas. On peut, cependant, la faciliter, en utilisant
les bons outils et en formant les gens à leur utilisation, ainsi qu'aux
pratiques collaboratives (qui, je le répète, ne s'arrêtent pas du tout
aux frontières informatique).

Le logiciel libre, avant d'être une force pour le marché logiciel, est
une application du partage. Une démonstration qu'il est possible de
travailler ensemble pour fabriquer quelque chose de fonctionnel et
d'utile pour tous. Une sorte d'antithèse de ce modèle capitaliste
incarné par les brevets logiciel.

A plusieurs reprises, j'ai été bluffé par la réalité du logiciel libre.
Oui, il est facile de collaborer lorsqu'on crée un logiciel, pour peu
qu'on explique les tenants et les aboutissants aux participants. Les
contributeurs sortent d'on ne sait où, pour peu que le projet leur soit
utile. Je ne parle pas d'outils "corpo compliant" (bien que ça soit
probablement aussi le cas), mais d'outils que j'ai pu développer pour
mon propre usage, et sur lesquels il a été possible de collaborer avec
d'autres.

Parce que l'informatique est utile dans bien des milieux, parce qu'elle
peut être (et elle l'est) un vecteur de participation et de
collaboration, défendons les valeurs qui nous sont chères (logiciels
libres et ouverts\!) et construisons des ponts entre les initiatives qui
nous parlent (fermes autogérées, initiatives d'éducation populaire) et
l'informatique.

Faisons en sorte de rendre l'informatique accessible et utile dans les
milieux ou elle peut apporter quelque chose \!
