---
title: Crucial Conversations
author: Kerry Patterson, Stephen R. Covey, Joseph Grenny, Ron McMillan et Al Switzler
headline: Un livre qui vient questionner nos manières d'intéragir lors des discussions cruciales de nos vies. Des outils pratiques pour éviter de rentrer dans les conflits.
isbn: 9781260474183
---

*Résumé rapide du livre, pour s'y retrouver*.

Une « conversation cruciale », c'est une conversation dans laquelle :
- les opinions divergent
- Il y a des enjeux forts
- Les émotions ont une place importante

L'idée principale du livre, c'est que :

1. Durant ces conversations, si l'idée est de faire en sorte que tout le monde dise ce qu'il pense et participe à co-construire les décisions, alors ;
2. Certaines personnes parfois se mettent soit en retrait (silence) soit monopolisent la conversation et forcent leur avis aux autres.
3. Si on détecte ces moments, il est possible de restaurer la conversation, en utilisant différentes techniques.

## Compréhension Commune

J'ai du mal à traduire « pool of meaning », mais en gros l'idée est que lors d'une conversation, tout le monde participe à générer une compréhension commune.

La métaphore utilisée peut être celle du « saladier commun » dans lequel tout le monde peut ajouter des éléments pour favoriser cette compréhension commune.

## Le Choix Du Fou (dualisme)

Bien souvent, on imagine qu'on doit faire le choix entre deux options, par exemple « dire la vérité » et « garder un ami », mais il est possible de **refuser ce choix et de faire les deux**.

Le livre est divisé en trois parties :

- Avant d'ouvrir la bouche
- Comment ouvrir la bouche
- Comment terminer

## Partie 1 : Avant D'ouvrir la Bouche

### Choisir Son Sujet

On a tendance à choisir les mauvais sujets de conversation, on a tendance à se focaliser sur :

- ce qui est facile (le sujet sur lequel on peut gagner)
- les sujets récents, plutôt que ce qui est vraiment important.

Pour se rendre compte qu'on se trompe de discussion :

- vous ressentez de la frustration parce que vous avez l'impression qu'on ne parle pas de la bonne chose ;
- vous terminez la conversation en étant sceptique
- Vous avez l'impression d'avoir déjà eu cette discussion

Pour trouver le bon sujet, trois étapes :

1. **Dégrouper**, il y a fréquemment trois choses liées :

	1. **Le contenu**, ce qui pose un souci de manière immédiate ;
	2. Le fait qu'il y ait **un motif qui se répète** ;
	3. L'impact de ces répétitions sur **la relation**.
	   
	Une fois qu'on s'est rendu compte des trois points, il est possible de mieux décider du sujet. A quel niveau est-ce que vous souhaitez avoir la conversation ?
	
2. **Choisir** : qu'est-ce que vous voulez réellement ? Décidez quelle est la priorité et trouvez qu'est-ce qui vous bloque pour obtenir ce que vous désirez. Choisissez si vous souhaitez parler du contenu, du motif ou de la relation.
   
3. **Simplifier** : Résumez de quoi vous souhaitez discuter. Une phrase simple. Attention : pas « comment » on va dire les choses, mais de quoi on veut parler.

**Il faut faire attention à éviter que le sujet dérive vers d'autres sujets. Si le sujet change, faites le de manière consciente**

### Volonté Et Bienveillance

- La seule personne que vous pouvez contrôler c'est vous-même

Concentrez-vous sur **ce que vous voulez réellement :

- Quand vous vous retrouvez en train de devenir silencieux ou violent, demandez-vous quelles sont vos motivations ?
- Posez-vous la question : « Est-ce que j'agis de la manière que je souhaite ? »
- Clarifiez ce que vous voulez réellement : pour vous, pour les autres, et pour la relation.
- Demandez-vous ce que vous devriez faire pour aller vers ce que vous souhaitez réellement ?

**Refusez le dualisme** :

- Alors que vous considérez ce que vous voulez, notez quand vous vous piégez vous-même dans un dualisme.
- Cherchez comment faire l'un **et** l'autre.
- Clarifiez ce que vous ne souhaitez pas, ajoutez le à ce que vous voulez et demandez à votre cerveau de chercher des solutions pour retourner sur un dialogue sain.

### Décider De Ses Histoires

Les histoires créent des émotions. Les émotions n'arrivent pas d'elles-mêmes, et sont liées à des histoires qu'on se raconte.

Il peut être utile de séparer les faits des histoires qu'on se raconte pour pouvoir repenser nos émotions.

Le schéma peut être le suivant :

1. Voir et entendre (les faits)
2. Se raconter une histoire
3. Ressentir
4. Agir

## Partie 2 : Comment Ouvrir la Bouche

### Apprendre à Regarder

Comment se rendre compte que la sécurité est mise en jeu ? Il faut apprendre à regarder et à capter les signes. Quand une conversation devient stressante, on a tendance à faire les mauvaises choses. Apprenez à regarder :

- Le contenu **et** les conditions de la discussion.
- Se rendre compte quand les choses deviennent cruciales
- Quand la conversation devient dangereuse pour l'une ou l'autre des parties
- Se rendre compte si on est en train de se déplacer vers de la violence ou bien du silence
- On peut découvrir comment reconnaître de son « style » quand on est sous stress.

### Sécuriser la Conversation

Pour sécuriser la conversation, il faut réussir à sortir du contenu de la conversation d'abord. L'idée étant de se rendre compte quand les gens deviennent violents ou silencieux, pour renouer le dialogue. Une fois que c'est fait on peut reprendre la discussion.

Comprendre ce qui crée un risque pour la sécurité :

- **Objectif commun** : Est-ce que les autres pensent que leurs objectifs sont importants pour vous ? Est-ce qu'ils ont confiance dans mes motivations ?
- **Respect mutuel** : Est-ce que les autres pensent que vous les respectez ?

Pour commencer la discussion, **partagez vos bonnes intentions** : qu'est-ce que vous voulez ? Pour vous et pour l'autre personne ?

**Excusez-vous** lorsque c'est approprié.

**Contrastez** pour régler les incompréhensions : Commencez par ce que vous ne voulez pas dire, puis expliquez ce que vous voulez dire.

Créez un objectif commun lorsque vous vous rendez compte que les choses sont compliquées :

- Dites que votre objectif est de trouver un but commun.
- Reconnaissez les buts derrière les stratégies
- Inventez un but commun
- Brainstormez les nouvelles stratégies

### Décrire Sa Vision Des Choses

### Comprendre Les Visions Des Autres

### Écouter

## Partie 3 : Comment Terminer

### Passer à L'action

### Oui mais…

### Trucs Et Astuces