---
title: Micropolitiques des groupes
author: David Vercauteren
headline: Une livre qui vise à créer une culture des précédents dans les collectifs (militants). Plusieurs chapitres et un découpage par sujets. A relire au fur et à mesure des expériences.
isbn: 9782354801786
---
## Artifices

Des outils qui permettent à un groupe de sortir d'un mode de fonctionnement, en faisant évoluer ses pratiques.

**Décider de faire groupe implique d'en fabriquer la possibilité.** Dans un monde capitaliste, on a tendance à reproduire des choses issues de notre culture.

Les dangers des artifices :

- Le formalisme : tomber amoureux de la forme et ne plus penser aux contenus qu'elle libère.
- Le moralisme : 
- Le méthodisme : considérer que tout est lié à la méthode qu'on utilise, et qu'il faut nécessairement une méthode.

> En ce qui concerne les artifices, ceux-ci peuvent prendre la forme d’une prescription langagière (interdiction de ping-pong) ou se fabriquer autour d’objets (une statuette, par exemple, dans le cas des détours). Dans tous les cas ils tentent d’obliger le groupe à faire attention à un aspect de sa vie collective qui, laissé à l’état « naturel », l’empoisonne [

## Penser le pouvoir comme une relation

Le pouvoir peut être considéré comme ce qui permet de faire évoluer le rapport de force : inciter, induire, détourner, rendre facile ou difficile, élargir, limiter, rendre plus ou moins probable.

On a tendance à remplacer **la relation** (le pouvoir comme rapport entre les personnes) **par l'identité** (le pouvoir comme étant l'attribut de quelqu'un)

On se focalise alors sur les conséquences des jeux de pouvoir, **en oubliant de venir en questionner les causes, les mécanismes qui produisent les rapports de pouvoir actuels**.

En cherchant à comprendre comment se créent et se produisent les relations de pouvoir, on peut réussir à déjouer les ressentiments personnels (l'envie de « couper des têtes ») pour essayer de comprendre les mécaniques à l'œuvre dans le groupe.

Les enjeux de pouvoir ne sont pas les phénomènes de violence en eux-mêmes, mais un système qui est en place : on peut questionner l'ensemble des acteurs du groupe.

> [!hint] Clarifier ses désirs avant de rejoindre un groupe
> Puis les comparer avec la réalité du groupe, avant de le rejoindre, peut permettre d'éviter les mauvaises surprises.

> [!warning] Garder en tête que
> L'analyse, l’élaboration, la remise en question des relations de pouvoir, et leur rapport à la liberté est une tâche politique incessante.

## Scission

Les scissions se ressemblent souvent :

- Psychologisation : personnalisation de la responsabilité de ce qui à pu se passer / enfermement des uns et des autres dans des postures. Fixation de rôles, binarisation.
- Idéologisation : On cherche à voir ce qui est vrai. On cherche à comprendre quelles sont les différences de valeur.
- Des rumeurs : on sollicite nos proches et on fait exister une version des faits qui nous arrange, et de laquelle on a du mal à se défaire par la suite. On prends nos proches en otage. Cela a pour effet d'alimenter la haine et de former des alliances extra groupales.

> À ce titre, il y a les mécanismes de déplacement de la parole vers des lieux déjà connus : fonction de l’idéologisation où le langage assure la production de camps affirmant détenir la (seule) vérité ; fonction de la psychologisation, par la fixation de rôles, par l’attribution de positions liée à « l’être » et par la binarisation ; fonction du langage, et à travers lui de la rumeur, assurant une circulation de l’information qui a pour seul enjeu de réalimenter la haine et de provoquer sous le même mode des formes d’alliances extra-groupales. Ces mécanismes peuvent illustrer ou annoncer des points vitaux, là où est en train de s’opérer la bascule du groupe, le passage des limites vers le seuil.

## Parler

- Les mots performatifs (« nous fonctionnons en autogestion » par exemple) peuvent inciter à des comportements / à des fonctionnements.
- Cet aspect performatif va potentiellement nous laisser désilusioné si les pratiques ne suivent pas ce qu'on s'est imaginé.

Idée : prendre du recul sur nos mots d'ordre, pour voir ce qui nous traverse.

> La question se situe donc du côté des capacités d’un groupe à faire fuir sa propre langue majeure et à inventer de nouveaux mots capables de l’entraîner dans un devenir bâtard, étranger en somme à sa propre culture langagière.

## Auto dissolution

> Mais pourquoi faudrait-il qu’il soit mis fin à une expérience pour que se produisent les possibilités de sa transformation ? Pourquoi cette capacité de se transformer ne peut-elle pas se penser dans le processus même qui innerve le projet, c’est-à-dire dans son milieu ? La réponse est peut-être toute simple : **Lourau ne pense pas les groupes à partir de leur milieu, de leurs devenirs possibles, de leurs mutations mais à partir soit d’une vérité qui les fonde, soit d’une finalité à réaliser, deux termes qui écrasent, réduisent et binarisent les processus**. Lorsque l’on diminue ainsi l’espace de respiration des groupes, ceux-ci peuvent difficilement éviter de suffoquer, de se fatiguer et de n’entrevoir qu’une ou deux portes de sortie : la « fuite individuelle » et l’arrêt collectif.

> Prenons maintenant un autre point de vue sur cette idée d’arrêt et situons-le pour commencer dans un type de pratique collective. Ici, l’important se situe dans les processus en cours et dans les manières de les raccorder entre eux. **Une direction existe mais elle est secondaire par rapport aux trajets. Les critères sont liés aux affections de joies ou de tristesses et aux forces actives ou réactives rencontrées à même le chemin. C’est cela qui déterminera les poursuites, les bifurcations et les passages à effectuer.** On n’arrête ni ne commence jamais vraiment, on devient tout le temps autre chose.

> 	Il reste qu’à « l’arrêt » on l’aura compris, nous préférons le « mouvement » et les « mutations ». Recommencer si le chemin s’épuise, expérimenter de nouveau là où nous avons arrêté : ça sent le renfermé dans le groupe, ça fritte régulièrement, on n’a plus envie de venir, – autant de critères –, alors essayons autrement. **En se disant qu’il n’y a là rien de catastrophique, que l’on peut se tromper, et que se le dire, se l’avouer et le prendre en compte constituent les meilleurs préalables pour vouloir recommencer**, ni au début, ni à la fin, mais au milieu, là où la vie se meut…

## Souci de soi

> Une question insiste dans cet écho. Qu’est-ce qui, dans la constitution de la subjectivité moderne et de la figure du militant qui en découle, rend impensable ou scandaleux ce lien entre politique et spiritualité, entre politique et « technique de soi » ? En quoi cette séparation nous rend vulnérables ?

>  Un groupe peut acquérir un souci du moindre geste, porter une attention aux rotations, à la fertilisation des cultures pour éviter d’épuiser le sol, au calendrier des plantations et à leurs associations… tout en développant une expérimentation par à-coups, un savoir et une recherche dans ce domaine. **Et en même temps être plus ou moins incapable d’exercer ce même souci à propos de sa pratique collective. Impuissant à penser qu’il existe également une écologie du groupe et que celle-ci requiert des techniques et des savoirs singuliers en vue de soigner, nourrir, cultiver le biotope collectif.**

> Ce savoir, que Foucault appelle « spiritualité », postule que la connaissance n’est jamais donnée au sujet de plein droit mais qu’il faut que le sujet se modifie, se transforme, devienne dans une certaine mesure autre que lui-même pour avoir droit à cette connaissance. Et celle-ci ne peut s’acquérir qu’à travers un certain nombre d’exercices, de techniques de soi.

## Réunions



[micropolitiques des groupes - pour une écologie des pratiques collectives](https://micropolitiques.collectifs.net)