---
title: Éloge de l'amitié
author: Geoffroy de Lagasnerie
headline: Livre où il est question d'amitié, de ce qu'elle signifie dans un monde où le devenir-parent, les sociabilités familiales et le volontaire désintérêt dans les relations est la norme.
tags: relations, amitié
isbn: 9782080420015
---

## Citations

> Lorsqu'elle devient un mode de vie, qu'elle devient l'objet d'une culture spécifique qui occupe le cœur de l'existence, le lien d'investissement des intérêts psychiques et non ce qui reste après la famille, le travail, les voisins, etc., **l'amitié pourrait être interprétée comme la recherche d'un dehors**.
> 
> C'est une pratique dont le but et la finalité sont **la possibilité de sortir des relations instituées pour reconfigurer un autre rapport à soi et aux autres**. 

> Faire de l'amitié une culture, un style de vie demande une éthique et une transformation du sujet. Le sujet doit adopter une certaine orientation dans la vie pour pouvoir être le sujet amical — avec des dispositions, des plis psychiques, un rapport aux autres. La relationalité amicale ne peut pas être quelque chose *en plus* par rapport aux formes traditionnelles de la vie. Elle est quelque chose d'autre, car **son déploiement s'opérera nécessairement au détriment de l'investissement dans d'autres modes de vie**.
> 
> Parce qu'une relation amicale est toujours hantée par la menace de sa disparition et parce que cette disparition peut arriver si vite, elle ne peut durer que si celles et ceux qui l'éprouvent s'engagent dans quelque chose de l'ordre de l'ascèse : **reconfigurer leur rapport à l'espace et au temps, afin de placer l'ami au centre de leur préoccupations et de leur existence.**

 > A un moment, Didier dit : **« L'un des principes fondamentaux de l'amitié c'est la fidélité, la loyauté. »** Peut-être est-ce parce que Didier à connu trop d'amis qui se sont révélés capables de le trahir qu'il a eu besoin [...] d'officialiser quelque chose de l'ordre d'un serment et de conjurer la peur de la possibilité d'une déloyauté future. **« Notre relation à trois n'est possible que si nous faisons le serment de ne jamais nous trahir. »**

> **Passer Noël,** ou n'importe quelle autre cérémonie sociale de ce type, **« entre amis »** ou « en famille » **constitue probablement l'un des critères les plus puissants pour distinguer les existences qui ont placé l'amitié en leur centre** et celles qui restent déterminées par une forme de familialisme dominant, quand bien même l'individu qui reproduit ce familialisme en souffrirait.
> Lorsque nous fêtons Noël ensemble, avec Edouard et Didier, sans doute fêtons-nous aussi le fait de le fêter ensemble, comme une sorte de conquête sur la logique ordinaire du monde social.

### Le devenir-parent comme norme

> On ne peut nier le fait que la vie de chacun se déploie dans un monde au sein duquel le devenir-parent constitue une évidence, quelque chose comme une attente des autres et une image de soi auxquels il faut, si l'on ne veut pas s'y plier, résister.
> 
> Cette organisation cyclique de l'existence, cette assignation dominante de l'amitié à n'être qu'une phase avant l'entrée dans la vie sérieuse, la vie adulte, montre que nos sociétés sont gouvernées par une économie psychique dans les quelles les inventions relationnelles créatrices, c'est à dire autonomes par rapport aux autres cadres de la vie, même lorsqu'elles atteignent leur intensité la plus grande, ont en fait toujours tendance à être vécues et éprouvées comme passagères, comme vouées à la disparition — **comme si, au fond, un ami était toujours quelqu'un d'abandonnable, de sacrifiable — parce que, à un moment donné, il faudra entrer dans la « vraie vie », la vie conjugale et familiale.**

> Si, lorsqu'elle devient un mode de vie et une culture autonome, l'amitié détient une signification oppositionnelle qui permet d'accéder à d'autres formes de plaisirs, de saveurs et produit l'émergence d'un « soi » différent de celui qui aurait émergé au sein de la socialisation familiale, c'est d'abord parce qu'elle fonctionne comme une puissance de décalage par rapport à l'univers domestique. **L'amitié change le rapport au monde et la façon de se penser parce qu'elle engage un décentrement physique de l'existence par rapport au foyer et au privé** — par rapport à ce que le langage nomme si bien *la cellule familiale*.

### Chercher des relations désintéressées ?

Passage peut-être un peu long, mais qui pour moi est un des apprentissages les plus importants de ce livre :

> Nous avons appelé cette expérience « le troisième œil » : lorsque nous prenons des verres ou avons des rendez-vous, lorsque nous dînons après des conférences avec les organisateurs, il arrive que, tout à coup, nous sortions mentalement de l'interaction et que nous nous mettions à nous voir évoluer à l'intérieur de celle-ci comme si nous la regardions de l'extérieur. Comme si nous étions dotés d'un troisième œil à travers lequel nous nous voyons nous-mêmes interagir. **Cette extériorisation conduit à rendre étrange la relation ou en tout cas à rendre le moment distant, parfois éprouvant, car tout ce qui devrait être accompli sur le mode du ça-va-de-soi, devient médiatisé, appréhendé comme un rôle, une comédie sociale.**

> Dans la plupart des textes sur l'amitié on trouve très largement l'idée selon laquelle l'amitié est d'autant plus pure qu'elle se rapproche de la sociabilité telle que Simmel la décrit : une relation amicale atteindrait sa plus grande noblesse quand elle parviendrait à être fondée sur une sorte d'accord éthique entre les êtres, et qu'elle s'opposerait en ce sens aux relations instrumentales que nous nouons au cours de nos vies qui, elles, seraient animées par une logique de l'intérêt et de la complémentarité.
> 
> Aimer l'ami, ce serait l'aimer en tant que tel, pour lui-même, indépendamment de ce que cette relation pourrait apporter, de ce que nous pourrions tirer de cette relation. [...]
> 
> [...] Une amitié ne peut remplir une fonction créatrice qu'à condition d'inventer sa propre raison d'être et donc d'emporter avec elle et au-delà d'elle-même des enjeux politiques, affectifs, créatifs pour celles et ceux qui la vivent. **Une relation amicale ne peut se construire comme relation autonome que si les amis s'apportent mutuellement quelque chose, s'augment au contact de l'autre** au sens de Spinoza, s'ils retirent de la relation quelque chose qu'ils ne trouveraient pas ailleurs — et donc s'ils y sont intéressés.

> Autrement dit, il y a une opposition entre le type de relationnalité que fait fonctionner l'amitié qui entend être créatrice et ce que Simmel appelle la sociabilité. [...]
> Les relations dont le déploiement se fonde sur la suspension d'un contenu explicite servent en fait à reconduire des liens déjà constitués et soutenus par le monde social. Ces relations ne sont pas productrices de leur propre nécessité. Elles ne font que redoubler, dans l'ordre interpersonnel, ce qui est institué dans l'ordre structural des appartenances (familiales, locales, etc.) ou des fonctions (professionnelles) en sorte que la relation n'a rien à apporter ni à créer puisque tout est déjà là, donné, imposé… [...] La sociabilité constitue un type de rapport à l'autre qui entretient des relations préalablement établies (le déjeuner de famille, le dîner mondain, la soirée d'entreprise). **De ce point de vue, la sociabilité est structurellement fonctionnelle et conservatrice. Elle consolide l'ordre institué des proximités et des distances, des identités et des rôles, des échanges et des intérêts. Aimer la sociabilité c'est aimer le monde social et ce qu'il a fait de nous.**

Et on y arrive, donc :

> À l'inverse, une relationnalité qui s'établit contre et en dehors des cadres institués de l'existence, des routines familiales et professionnelles et de tout ce qui nous est imposé doit nécessairement se développer à travers un geste d'écart avec l'idée de sociabilité, avec la pratique de la socialité comme art qui n'a d'autres finalités qu'elle-même.
> [...] Mais ressentant moi-même exactement ce type d'affect quand je me rends parfois [...] à certaines cérémonies familiales (la conversation inutile centrée sur les enfants et leur éducation puis sur l'actualité professionnelle des uns et des autres et enfin sur quelques faits d'actualité), **je me demande si le caractère partagé et semblable de ces difficultés ne témoigne pas du fait que l'entrée dans une vie marquée par la relationnalité amicale rend presque impossible la soumission à la sociabilité**, et notamment sa forme extrême qu'est la sociabilité de type familial [...].

> Contrairement à Cicéron qui affirmait que l'on ne peut pas perdre un ami car, si on le perd, c'est qu'il ne s'agissait pas d'un ami véritable puisque l'amitié était alors contingente, dépendante des circonstances et donc selon lui fictive, on pourrait avancer que l'idée de perte est consubstantielle à l'idée d'amitié véritable. Les seules relations que l'on ne perd pas sont les relations qui nous sont imposées par le monde social. **Être fidèle à l'amitié comme pratique sociale et définition de soi c'est donc aussi souvent savoir abandonner certaines relations qui ont pu être importantes à certain moments de sa vie, les laisser derrière soi quand elles ne produisent plus les effets de décalage d'être pour en trouver d'autres, nouvelles, qui remplirons à leur tour cette fonction.**

Pour moi deux points à retenir :

1. La sociabilité (au sens de Simmel) peut être en fait vue comme quelque chose qui n'est pas une amitié véritable, c'est une expérience qui favorise le « troisième œil » dont il est question plus haut ;
2. L'amitié peut aussi être vue comme fonctionnelle, comme quelque chose qui cherche à s'augmenter les uns les autres, voire même ce serait son objet principal (pour aller vers ce que de Lagasnerie appelle l'amitié créatrice)

### Devenir auteur

> Toute une économie de l'image qui entour les auteurs et que ceux-ci se plaisent à faire fonctionner vise à donner une impression d'éloignement, d'inaccessibilité qui décourage un grand nombre d'individus de la pratique de l'écriture. 
> 
> Très souvent, la résolution psychique de cette difficulté conduit celui ou celle qui aspire à écrire à se mettre à l'abri d'un auteur passé, d'un paradigme ou d'une discipline ,à se glisser dans des dispositifs d'écriture déjà institués, à se revendique d'une école… **Comme si la condition pour devenir un auteur consistait paradoxalement à se dissoudre comme auteur.**

### La solitude de l'hérésiarque

> Bourdieu soulève le problème de ce qu'il appelle la « solitude de l'hérésiarque ». Lorsque quelqu'un décide de rompre ou est de fait conduit à rompre avec les attentes du champ dans lequel il est inscrit, il doit *a priori* accepter, pour un temps du moins, de se retrouver seul et isolé. Il défie les lois de la reconnaissance et de la sociabilité telles qu'elles fonctionnent dans son champ, il il promeut une nouvelle norme de production qui n'est pas encore acceptée comme telle, et il se retrouve donc, mécaniquement, mis à l'écart de tout.
> 
> Même si il est insulté, ignoré, rejeté, l'hérétique doit se persuader qu'il n'est pas un article raté, mais un artiste maudit. Il doit se donner le droit de dire à l'institution, tout en étant isolé et attaqué : c'est moi qui ai raison, c'est moi qui vous le dit.
> 
> Un acte hérétique suppose une capacité à défier les lois de la reconnaissance sociale, à se défaire au moins provisoirement de la force de leurs verdicts pour persévérer dans son être malgré l'absence de signe mondaine d'élection.
> 
> **C'est la raison pour laquelle une avant-garde est toujours collective. Celui qui veut rompre avec le *nomos* du champ auquel il appartient va nécessairement, au moins dans un premier temps, se couper de l'institution et de ses espaces de sociabilité**. Il doit donc trouver du soutien ailleurs, à travers son inscription dans d'autres cercles. Il doit non seulement créer son œuvre, mais créer aussi son propre espace de soutien.

GDL conclut derrière en parlant du fait qu'il faut sans doute chercher à vivre *au-delà de la reconnaissance*. Plutôt que de voir ces « nouveaux cercles » comme un autre moyen d'accéder à de la reconnaissance, il faudrait réussir à se détacher de ce besoin de reconnaissance. L'amitié pourrait alors viser à faire vivre une autre éthique, « fondée sur les notions d'affirmation et d'autonomie ».

### Au delà de la reconnaissance

Dans la dernière partie :

> Je pense que ce que Bourdieu entend nous montrer, c'est qu'**il faut nous débarrasser autant que faire se peut de l'obsession de la reconnaissance, du fétichisme des titres et des rites officiels** — c'est à dire de la façon que nous avons de nous subjectiver en fonction du regard d'autrui, de nous définir nous-mêmes selon les catégorisations et les définitions étatiques.

> Qui dit reconnaissance dit mystification, et aussi relégation. [...] Tout acte de consécration ou de reconnaissance s'opère en fonction de normes ou de critères particuliers qui ne manqueront pas d'exercer des effets de relégation et de produire des misères de position à l'égard de ceux qui ne sont pas en mesure de les satisfaire.
> 
> En d'autres termes, tant que l'on reconnaît aux institutions le pouvoir de nous reconnaître, et que l'on cherche à trouver en elles des justifications d'exister, on stabilise un système excluant qui implique une impossibilité de sortir de la malédiction de l'Être et le Néant, de la vie symbolique des uns qui engendre la mort symbolique des autres.

Et de conclure : 

> L'amitié porte en elle l'idée d'une vie au-delà de la reconnaissance. Elle est le nom d'une pratique du soi qui prend la forme d'une politique de l'affirmation, d'une morale nietzschéenne de l'action, de l'actif, opposée au ressentiment et au réactif que ne peut pas manquer d'engendrer l'obsession de la reconnaissance et le fait de se juger soi-même en fonction du jugement des autres, constitué comme jugement dernier.

## Notes durant le visionnage de la vidéo

[Lien vers la vidéo](https://www.youtube.com/watch?v=Pi5FwepM2T0)
### Idiorythmie

Idée que l'on a toustes des rapports différents au temps.

Exemples :
- La famille empêche l'idiorythmie (tout le monde doit avoir le même rythme)
- Le fait de ne pas aimer le matin est un caprice.
- Les autistes ont un autre rapport au temps. 

Ressources : 
- Roland Barthes dit que c'est bien de vivre à des autres rythmes.

> Même les Anarchistes changent leur heure à l'heure d'été !
> — Bourdieu

### Mettre l'amitié au centre de nos vies

L'idée principale développée est celle que l'amitié devrait être au centre de nos vies. Il pense que la vie relationnelle est plus riche si elle n'a « pas de centre ».

L'amitié comme technique de transformation de soi par l'autre : pour lui, aimer c'est aimer la différence. Il considère l'amour comme transformateur avant tout. Le sentiment d'amour se cultive dans l'absence. Il prend l'exemple de gens qui vivent toujours ensemble, qui partent en vacances ensemble etc, et qui n'auraient au bout d'un moment plus rien à se dire parce qu'iels seraient trop similaires.

L'école est un lieu de transformation parce qu'on est au contact des autres.

Pour GDL, le couple est une forme qu'on doit mettre en question, entre autres à travers l'idée de l'installation ensemble (le centre de sa vie devient alors l'autre). Quand on habite ensemble, on a tendance à voir l'extérieur comme quelque chose qui menace, incitant à la jalousie.

La question devient comment amicaliser l'amour ? L'idée étant que l'amitié est plus beau que l'amour ou la famille. Plus libre, plus démocratique. 

C'est une forme de vie précarisée, elle n'est pas cadrée juridiquement, et une guerre est faire à l'amitié par la société.

Critique de l'idée que l'amitié doit être désintéressée pour être pure. Pour GDL, on aime quelqu'un parce qu'on est intéressé par lui·elle : iel a des connaissances, envies, et iel nous transforme. Les amitiés sont provisoires. C'est quelqu'un qui vous apporte quelque chose à un moment donné. 

> [!hint] Définition
> L'intérêt, c'est ce qui est entre soi et soi (ce qui nous augmente). 

### L'amitié comme espace de vérité

Amitié = loyauté et franchise. Idée que l'amitié est un lieu de complaisance, alors que l'honnêteté viendrait de l'anonymat. Lui pense que l'amitié et l'amour sont peut-être des lieux dans lesquels la confiance en l'autre rend possible une forme de véridiction (dire la vérité sans blesser).

Fin d'une amitié dans un cas où il y a franchise : vous ne l'aimez pas suffisamment, ou il ne vous aime pas suffisamment pour se sentir mis en cause par un jugement honnête. 

Quel est l'espace dans le monde social ou on peut se situer hors de la concurrence et de la connivence ? On peut leur opposer la confiance, c'est l'espace de l'Amour et de l'amitié. 

### Vie volée par le mariage

Une grande partie des femmes a l'impression que leur vie leur a été volée, se sentent prisonnières de la reproduction des exigences du foyer et des taches domestiques. 

Le suicide de Durkeim : le mariage est un facteur aggravant du suicide. Plus elle a d'enfants plus elle se suicide.

### Médias

Difficile d'être autonome et de porter un autre discours que celui qui est prévu d'avance dans les médias. 

### Agisme

Beaucoup d'injonctions liées à l'age. Contrairement à ce qu'on pense, ce n'est pas transgressif de faire de la transgression à 20 ans, parce que c'est un moyen de ne pas être transgressif plus tard (pour la bourgeoisie)

L'une des manières de dégrader l'amitié dans nos sociétés c'est de la ramener à la jeunesse : dire que c'est ce qu'on fait quand on est jeune. Sous-entendu la vie d'adulte est fondée sur le renoncement de la vie amicale. Il faut abandonner ses amis pour mettre la famille au centre, les enfants etc.

L'amitié comme mode de vie doit être inter-générationnel. 

### Écriture

Pour lui c'est aller chercher le point le plus loin possible dans le discible. A la limite de tomber dans l'excessif, sans être mou.

On ne se sens pas légitime à écrire. 

Il faut beaucoup de mémoire pour repousser le passé.

### Divers

Derida = la mort de l'ami. Qu'est-ce que je deviens quand l'ami sera mort.

Nelson Mandela était aussi engagé dans la lutte armée (arrêté avec des bombes dans son coffre)


### Livres

- Ce qu'aimer veut dire / Foucault