---
title: Le conflit n'est pas une agression
author: Sarah Schulmann
headline:  Rhétorique de la souffrance, responsabilité collective et devoir de réparation
tags: conflit, agression, facilitation
isbn: 9782490077489
---
J'ai commencé ce livre en fin d'été, et je l'ai lu par petits morceaux. Pas que ce soit difficile à lire, mais plutôt parce que j'avais envie/besoin de lire et de relire certains passages qui faisaient écho à des situations que j'ai pu traverser, que ce soit dans le cadre pro ou ailleurs.

Si je devais ne retenir qu'une chose de ce livre, ce serait le travail autour de « l'escalade du conflit ». Le propos principal de Sarah Schulmann me semble être qu'il est important de detecter et d'éviter les mécaniques d'escalade (du conflit vers l'agression), cette escalade pouvant être une distraction pour éviter de discuter réellement des problèmes.

Quelques morceaux choisis:

> Plutôt que d'assumer sa part de responsabilité dans l'existence d'un conflit, le recours à l'accusation constitue une arme redoutable, et c'est ainsi que les conflits ordinaires s'intensifient au point de se transformer en crises.
> Le choix d'incriminer plutôt que de résoudre est le produit d'une pensée dysfonctionnelle ; il repose sur une conception négative des relations de groupe, qu'il participe à renforcer, là où il s'agirait au contraire de remettre activement en question cette idéologie.
> 
> **Ce mécanisme d'exagération du préjudice passe par des accusations infondées qui viennent justifier l'usage de la violence, tandis que les dynamiques d'exclusion enrayent toute possibilité de communication.**
> 
> La résistance à la marginalisation, à l'exclusion et à la domination, bien que nécessaire, est interprétée comme une attaque et sert une nouvelle fois de justification pour intensifier les agressions [...] et la violence; Pour transformer ces paradigmes, les maitres mots sont la communication, et la réparation - plutôt que l'exclusion et la division.
> 
> — page 25.

---

> Et si l'autre personne mettait le doigt sur quelque chose que je n'étais pas en mesure d'exprimer toute seule ? **Est-ce que ça me mettrait en colère ou est-ce que je refuserais de voir la réalité ? Plutôt que de me livrer à l'introspection, est-ce que je trouverais une manière de l'accuser ?** Et si elle m'aidait, au contraire, à reconnaître cette réalité ou à en prendre conscience ?

Je trouve intéressante la manière dont les choses sont posées. L'idée étant de permettre à tout·e un·e chacun·e de mieux se connaitre, et de prendre conscience de nos fonctionnements construits pour pouvoir les dépasser.

---

> **le refus de communiquer à toujours été la cause principale des accusations mensongères car il permet de nourrir toutes sortes de fantasmes négatifs à propos de l'autre**, surtout dans les domaines symboliquement chargés tels que la sexualité, l'amour, la communauté, la famille, les ressources matérielles, les identités de groupe, le genre, le pouvoir, le capital social et la violence.
> Refuser catégoriquement d'adresser la parole à quelqu'un est un acte de destruction aussi étrange qu'immature; personne n'en sort gagnant.

> Souvent, ces blocages partent de rien, d'un conflit ordinaire ou d'une simple différence. Ils prennent ensuite de l'importance pour la personne qui est à l'initiative du blocage car celle-ci est trop angoissée pour négocier **ou parce que l'idée de parler à quelqu'un qu'elle à précédemment déshumanisé la paralyse**. Et, comme elle refuse également d'admettre l'existence de ces projections, toute négociation devient impossible. Elle est incapable d'avancer, tout comme la personne qui se trouve sous le joug de son refus. Si nous reconnaissons que les relations sont nécessaires à l'établissement de la paix à l'échelle des individus comme de la société [...] alors on devrait pouvoir naturellement dire : « Quelle est la pire chose qui pourrait t'arriver si tu parles ? » ou « Comment est-ce que je peux vous aider à communiquer ? ». **Malheureusement, la norme (dysfonctionnelle) considère la volonté de réparation comme une agression et la capacité à projeter des fantasmes négatifs comme un droit.**
>
> — page 40

D'où l'importance de réussir à faire la différence entre un ressenti et un fantasme. J'apprécie ce que « projeter des fantasmes négatifs » apporte comme compréhension. Dans ces cas là, peut-être qu'on parle a nos peurs plutôt qu'a notre interlocuteur·ice. 😮‍💨

---

> Aujourd'hui, le caractère réducteur des slogans publicitaires est également appliqué à des domaines très sérieux tels que les droits humains ou la sécurité. Ces messages ne sont plus seulement destinés à vendre du liquide vaisselle, mais par exemple à aider les femmes à se protéger contre la violence masculine. Cependant, leur manque de subtilité peut également contribuer à renforcer le déni sur ces questions. **Le désaccord est un terrain complexe dont nous devons pourtant embrasser les nuances si nous voulons agir de manière constructive, avec honnêteté et sincérité.**



> Nous avons tous·tes eu affaire, à un moment ou à un autre, à la figure du patriarche, du mâle dominant, du nationaliste, du raciste, ou simplement du petit notable de province qui ne tolère aucune opposition, n'a jamais tort, ne s'excuse jamais et pique des colères dès qu'il se trouve confronté à des expériences qui diffèrent des siennes. 
> 
> Il dénigre les autres mais ne supporte aucune critique le concernant. Il peut user de sarcasme et de cruauté pour détruire les autres mais sa compréhension des émotions est pour le moins superficielle. Il ne laisse pas les gens lui donner leur version des faits. Il ne cherche pas à résoudre les problèmes car cela reviendrait à admettre qu'il a fait une erreur, ce qui est impossible. [...] Il n'admet pas la complexité et les personnes qui l'entourent ne le contredisent pas. 
> 
> Sa partenaire , ses ami·es, les personnes qui ont l'impression d'être protégées ou valorisées par lui, ou qui bénéficient de son pouvoir, font en sorte que les autres ne s'opposent pas à lui. Elles détournent les critiques qui lui sont adressées. Elles sont prudentes quand il se trouve dans les parages, et se voient récompensées pour cela. Il ne demande jamais aux autres : « Qu'est-ce que tu ressens ? », ne dit jamais « Je ne comprends pas ce qui se passe. Comment voit tu les choses ? » Il se comporte comme si les autres devaient être à ses ordres, et lorsque ce n'est pas le cas, il les punit, les intimide, les exclut, les accuse à tort, organise des exclusions de groupe, produit des récits alternatifs ; il est capable d'user de la menace, d'en appeler à la loi, voire même de recourir à la violence.
> 
> **Il attend des autres personnes qu'elles obéissent une fois qu'il a affirmé sa position, qu'elles y adhèrent. Et c'est ainsi que le problème est résolu : à travers l'obéissance.**
> 
> – page 142

Je me demande comment réussir à dépasser ça. L'obéissance n'étant bien sur pas souhaitable. Quand on se retrouve dans des situations de « fin de non recevoir », peut être qu'il n'est alors pas possible de sortir du conflit.  

---
## La culpabilité et la honte

> La question de la honte me semble importante dans le processus d'escalade. Pourquoi, face à une situation donnée, certaines personnes recherchent-elles la réconciliation et la paix quand d'autres ressentent le besoin d'exclure et de détruire pour se sentir victorieuses ?
> 
> [Deux études de psychologie, à 16 ans d'écart] aboutissent à la même conclusion : **la manière dont les gens appréhendent un conflit dépend de ce qui l'a causé — la culpabilité ou la honte**.
> 
> Ainsi, lorsque la culpabilité se trouve à l'origine du conflit, les personnes cherchent à discuter, sont capables de s'excuser, d'admettre leurs erreurs et de faire des concessions; elles s'investissent dans la recherche d'un issue positive. 
> 
> **En revanche, lorsque la honte se trouve être à l'origine du conflit, les personnes, pleines de colère et d'agressivité envers la partie adverse, rejettent la faute sur elle**. Cette différence s'explique par le fait que les personnes qui ressentent de la culpabilité sont moins sujettes au stress émotionnel et à l'angoisse que celles qui éprouvent de la honte.
> 
> Elles sont donc plus à même de faire attention aux conséquences de leurs actes. Ces études ont aussi montré que les personnes qui éprouvaient de la honte se sentaient d'avantage menacées et que le regard des autres importait énormément pour elles.
> 
> – page 147

Je ne connaissais pas cette distinction entre d'un côté la honte et de l'autre la culpabilité, et de ce que ça montre des différents *styles* qui peuvent être adoptés lorsque le stress s'en mêle. Je me demande quand même si l'explication n'est pas un peu simpliste (même si elle m'arrange bien 🫢).

---
## Elements déclancheurs

> les situations vécues comme des éléments déclencheur sont des formes de réaction qui s'avère déterminantes dans l'amalgame entre un conflit et une agression. De manière générale dans la vie, nous sommes amenés à réagir en permanence. Nous ne nous rendons pas compte de la plupart de nos réactions car elles sont proportionnelles aux stimuli qui les ont provoqués. **Une réaction disproportionnée se démarque parce qu'elle est démesurée au regard de ce qui est réellement en train de se passer**.
> 
> Quand quelque chose nous affecte de manière disproportionné, c'est une souffrance passée, non résolue, s'exprime dans le présent. **Le présent n'est pas considéré pour ce qu'il est ; l'expérience réelle du présent n'est pas acceptée**.
> 
> Bien qu'une telle réaction, puisse faire sens selon la logique de l'individu, qui se sent menacé, elle peut avoir des effets délétères sur les personnes de son entourage **qui, sans être responsables de la souffrance exprimée, se retrouvent néanmoins punies**. Ces dernières évoluent dans le présent, mais elles sont rendues responsable d'évènements passés qu'elles n'ont pas causé et ne peuvent résoudre. Celui ou celle qui est accusé à tort, est aussi une personne à part entière, et cette charge peut blesser. La personne qui se sent menacée souffre, mais elle fait aussi souvent souffrir les autres. Il existe un narcissisme de la domination, mais il existe aussi, lorsqu'une personne ne voit pas que les autres sont affectés, un narcissisme du traumatisme. Aussi, même si la souffrance énorme d'une personne peut la rendre narcissique et autocentrée, toutes les parties en jeu sont d'importance égale. **Et il revient aux communautés qui l'entourent d'insister sur ce point.**
> 
> — page 166

>  Il est intéressant de noter que les réactions disproportionnée vont souvent de pair avec l'exclusion de l'autre. Plutôt que de parler ouvertement, d'échanger, des idées ou des sentiments, de manière raisonnée et réflexive, la personne qui se sent menacée évince l'autre, se cache tout en attaquant.

> **L'exclusion, qui s'apparente à une forme active de harcèlement, n'est jamais d'une grande utilité pour résoudre les problèmes** ; dans la plupart des cas, cet acte mesquin permet d'éviter tout ajustement de soi, pourtant nécessaire si l'on souhaite assumer ses responsabilités. **Si rien, dans la fuite n'est orienté vers la résolution du conflit, alors il s'agit uniquement d'imposer une domination et une punition**, or, nous le savons bien, la punition produit rarement autre chose que de la souffrance supplémentaire.
> 
> — page 167

Ah, la la.

---

Il y a toute un chapitre ou l'autrice parle de différentes approches (psychologie, psychiatrie moderne et pop psychologie) qui convergent vers les mêmes conclusions concernant la définition d'une réaction et ses conséquences. (j'ai formaté le texte pour le rendre plus lisible)

>  Ces quatre catégories d'analyse [...] s'accordent sur deux conclusions, la réaction déclencheuse qui :
>  
>  a) ne laisse pas le choix
>  b) ne laisse pas la place à la prise en compte de la succession des évènements, des causes et justifications, des contextes et des résultats
>  c) nie toute responsabilité dans les conséquences que l'acte acte peut avoir sur les autres et dans sa participation à l'escalade du conflit et
>  d) fait l'impasse sur l'autocritique
>  
>  est:
>  - à l'origine de violence sociale et personnelle, et
>  - cause grande souffrance.
>  
>  **Comme cela était démontré le déferlement de violence qui surgit avec la surréaction ne fait qu'aggraver le problème. Tous ces systèmes recommandent la même stratégie : prendre son temps, temporiser.**
>  
>  Et, afin de prendre ce temps nécessaire au changement, **ces mouvements partagent l'idée qu'il est nécessaire d'être entouré par une communauté** : une relation, un cercle amical, une famille, une identité de groupe, une nation ou des gens qui encouragent la réflexivité et cherchent des alternatives à l'accusation, à la punition et à l'agression. **Nous avons besoin d'appartenir à des groupes qui acceptent de se trouver dans l'inconfort et de prendre le temps d'aborder l'ordre des évènements, de prendre toutes les parties en considération, et de faciliter la réparation.**
>  
>  — page 189

---

En guise de conclusion :

 > D'une certaine manière, on pourrait résumer la chose par « se sentir mieux » versus « aller mieux ». Refouler des informations (sur nous-mêmes, sur nos amis), créer des bouc-émissaires de sorte à nous détourner de nos problèmes, exclure afin d'unifier un collectif et de créer une identité de groupe : **tous ces mécanismes aident les gens à se sentir mieux, parce qu'ils leur permet de se sentir supérieurs**. Or la seule manière d'aller véritablement mieux et de nous confronter aux autres, de les regarder en face, de communiquer.

---
 
 > Si nous appartenons à des groupes qui ne sont pas capables d'autocritique, et qui sanctionnent en conséquence la différence, nous nous joindrons à l'effort collectif qui revient à fuir, exclure et mépriser. **Mais si nous nous trouvons dans des groupes qui promeuvent l'acceptation, qui font en sorte de créer des conditions de communication, et qui reconnaissent que les gens sont porteurs de contradiction, nous serons capables de composer avec la nature réelle du conflit** : son caractère collectif, d'une part, et, d'autre part, le fait qu'il ne peut pas se régler en faisant usage de cruauté, en faisant courir des rumeurs, en promulguant des lois, où on emprisonna des gens, en envahissant et en occupant leur territoire.
