---
title: Oser la confiance
author: Bertrand Martin, Vincent Lenhardt, Bruno Jarrosson
---

On m'a conseillé ce livre, voici donc quelques notes. Je ne partais pas gagnant
parce que j'avais un peu peur de l'approche très « managériale », mais (bien
qu'elle soit présente) ce n'était pas bloquant pour moi. J'ai eu quelques
belles surprises au passage. 

Le tout est quand même emprunt d'une vision capitaliste du monde, dans laquelle
la croissance des entreprises est indispensable. Ça mis de côté, plein de bons bouts.

> Ainsi, peu à peu, sont sorties les conditions de la libération de l'énergie: 
> 
> - La franchise sur la réalité de la situation.
> - L'appel à tous, qui reconnaît la valeur de chacun et solidarise l'entreprise.
> - Pas d'exclu.
> - L'écoute préalable à toute déclaration pour ouvrir le champ sans limites.
> - La liberté jusqu'au bout, sans contrôle, qui responsabilise et permet l'appropriation.
> - La confiance jusqu'au bout qui appelle la confiance.
> 
> – page 33.

Une liste intéressante à plein d'égards. Il est rappelé à plusieurs endroits le
rôle de la « confiance jusqu'au bout », qu'on peut opposer à la méfiance, je crois.

---

> Cette confiance, qui naît et se nourrit de réciprocité n'est-elle pas une
folie ? C'est pourtant bien dans ce regard que l'autre peut se construire. Et la
méfiance, si minime soit-elle, est destructrice.
> 
> Permettre l'appropriation qui engendre la motivation, c'est accepter de
se dépouiller. **Est-il acceptable, est-il même normal pour celui qui a la
responsabilité du pouvoir d'abandonner ainsi son pouvoir, d'en abandonner
l'exercice, même en partie ? Le pouvoir est si agréable.**
> 
> Respecter la parole et la pensée de l'autre, lui laisser cet espace de liberté
qui lui permettra d'exercer ses talents et sa responsabilité, de développer son
jugement, est bien difficile lorsque l'on croit détenir la vérité. Il est bien
réconfortant de croire que l'on sait. Un chef d'entreprise me disait : « Le plus
difficile pour moi, c'est de me taire lorsque je connais la solution… »
> 
> Donner l'autonomie, la liberté qui va permettre la croissance de la personne,
n'est-ce pas prendre le risque de l'erreur, de l'accident, de l'incohérence ?
Casser l'ordre qui fige, qui empêche d'avancer, laisser s'établir et durer un
désordre chaotique d'où pourra jaillir la vie, est-ce bien acceptable ?
>
> **Ces questions [...] sont des interrogations jamais closes comme des appels, des
fenêtres toujours ouvertes vers un avenir meilleur. Elles dépendent [...] de nos
convictions, mais aussi de nos limites et de nos peurs.**
> 
> Tenter d'y répondre, c'est accepter de se remettre en question et avancer,
c'est un cheminement individuel et collectif où chaque pas assuré, chaque étape
atteinte, est un nouveau point de départ.
> 
> — page 65.

---

> Il s'agit [...] de retrouver ce que l'on appelle la combinaison
de la Protection, de la Permission, et de la Puissance [en analyse
transactionnelle].
> 
> Par Protection, on entend toutes les interventions qui
définissent les règles du jeu, les valeurs qui vont être mises en œuvre
(confiance, transparence, language de vérité, respect des personnes, désir
d'encouragement, considération de l'autre, écoute…). **Cette Protection est aussi
la garantie qu'en cas de difficulté, de fragilité ou d'erreur, la personne
trouvera un appui**, conformément à une règle du jeu clairement définie [...] de façon a
protéger l'équipe, tant des dangers venant de l'extérieur que de ses propres
fragilités internes.
> 
> De même que l'on ne part pas en montagne sans cordes et matériel pour éviter
les accidents, la prise de risque nécessaire au changement doit être « assurée »,
« protégée ».

Je ne connais pas bien l'analyse transactionnelle, mais je m'en méfie un peu,
surement plus par ignorance que par connaissance.

Je trouve cependant que les différents « P » (Protection, Permission, Puissance) qui sont
proposés sont intéressants quand il s'agit de parler de confiance, de légitimité
et de collaboration. Je suis content de rencontrer ces termes.

> [...] La Permission est [...] le pouvoir de dire oui, ce qui suppose de la
part des protagonistes [...] une attitude de « parent nourricier » qui soutient,
encourage, met de la chaleur, crée de la confiance, met en œuvre chez les
personnes l'effet « Pygmalion ».

Il évoque la métaphore de « la belle au bois dormant » (je paraphrase)

1. Le poison commence à se diriger vers le cœur
2. Une bonne fée l'endort pour la protégér
3. Un prince charmant veut la réveiller, pensant la sauver, mais…
4. Quand elle se réveille, le poison continue son chemin et la tue.

> Combien de formateurs [...] se prévalent de ce beau rôle [...] et amènent les
individus ou les organisations à vivre des exp^ériences apparemment souhaitables
ou désirées dont l'issue est plus ou moins fatale. On invite les personnes à
s'exprimer et on les sanctionne ensuite.

> Non ! Attention: pas de Permission sans Protection préalable.
> 
> – page 70-71.

---

> Le circuit de la confiance
> 
> - Protection et permission visant à la confiance
> - Régulation (partage des représentations)
> - Subtilité, reconnaissance de l'autre comme sujet
> - Intimité, partage des confidences
> - Solidarité
> - Créativité, résolution de problèmes
> - Opérationnalité débloquée et performante
> - Résultats et feedback
> - Satisfaction, motivation
> - retour à la première étape
> 
> – page 78

---

## Faire équipe

<div class="align-center">
	<img src="/images/confiance/equipe-performante.jpg" />
</div>

> Pour qu'une équipe soit performante, elle doit successivement **franchir ces trois étapes**:
> 
> 1. La collection d'individus où **les gens sont centrés** sur une technique, une
> fonction relativement individualisée, **sur une performance personnelle** et une
> dynamique souvent encombrée par la logique des territoires.
> 2. Le groupe solidaire intégrant des logiques différentes et passant d'une
> monologique à une dialogique [au sens d'Edgar Morin], optimisant des décisions
> dans des processus transverses. **Il se crée donc une solidarité, une écoute
> réciproque et le désir de dépasser des points de vue souvent opposés ou
> contradictoires, de sortir de la logique des territoires**.
> 3. Dans l'équipe performante, troisième étape, **les personnes ont suffisamment
> conscience de leur identité et de leur complémentarité pour pouvoir la dépasser
> et se centrer sur le sens et la vision commune**. Chacun se sent porteur du tout et
> vit une approche de type holomorphique; chaque fonction est porteuse du tout et
> chacun se sent responsable de la pérénité [du groupe].

J'aime bien cette vision de l'évolution d'une équipe, et j'ai l'impression de
pouvoir la voir parfoisà l'œuvre. Content de passer les étapes.

## Le déficit d'identité

> Si la personne n'a pas trouvé son identité et la sécurité ontologique de
celui qui sait qui il est, il va se produire une interaction parasitaire, où
l'identité, insuffisante, conduit la personne à s'investir désespérément dans un
niveau de pouvoir qui se nourrit d'au moins sept niveaux de réalité [conscient,
inconscient, opérationnel, fonction, entreprise, environnement, metasens]

> Prenons l'exemple d'une réunion, qui a un ordre du jour indiqué dans le niveau
opérationnel: au lieu de se concentrer sur la résolution d'un problème ou la
prise de décision opérationnelle, l'enjeu et l'investissement de la personne
déficiente en identité (ou en mutation déstabilisante pour elle-même), va se
récupérer au niveau du pouvoir ; elle va chercher à asseoir son pouvoir et le
nourrir de tout ce qui peut se passer au niveau relationnel, ou dans des jeux
plus ou moins inconscients, ou bien dans une guerre de territoires où elle
va surinvestir la définition de sa fonction ; ou bien elle va se positionner
dans l'entreprise et tirer les objectifs de l'entreprise au profit de ses
oibjectifs personnels, ou bien utiliser tout ce qui vient de son environnement
pour renforcer son pouvoir, ou enfin justifier son attitude de pouvoir par
des élements venants du métasens (politique, culture, éthique, spirituel,
etc).
> 
> **Il sera donc nécessaire pour la personne qui gère le changement de
prendre en compte ce déficit identitaire**, ce surinvestissement du niveau de
pouvoir et de faire le lien entre les neufs niveaux de sens [environnemental,
organisationnel, managérial, professionnel, vie privée, psychologique,
existentiel, spirituel, confessionnel] pour dégager la problématique
opérationnelle de tout ce qui la parasite. **Ainsi, cette personne agira pour
traiter le problème là où se trouve le blocage du sens et seulement après,
reviendra à l'ordre du jour opérationnel**.

Je suis content de voir l'aspect pouvoir mis en regard avec l'aspect de déficit
d'identité, comme quoi on pourrait chercher à accroitre son pouvoir lorsqu'on ne
se sens pas bien dans son identité (au sein du travail).

Je me demande encore comment on peut faire en sorte de déjouer ces dynamiques de
manière efficace.

---

> [...] Les responsables se doivent d'être vigilants en face de toutes
les récupérations ou les manipulations dont ils peuvent être les objets ou les
sujets et veiller, par un questionnement éthique [...]
à ce que leur situation de pouvoir ne devienne pas le lieu où ils perdent un peu
ou beaucoup de leur âme. [...] **La question permanente reste toujours posée: quelle est
la véritable finalité? Le bien commun, le service, ou l'égoïsme individuel** ou
celui d'une groupe mafieux ?

---

> Mettre l'essentiel au cœur de l'immportant ne consiste pas à faire de
l'entreprise une idole, une finalité en soi. Cela consiste au contraire à voir
que l'entreprise est un lieu de vie qui a aussi sa naissance et sa mort, qui
doit vivre ses cycles. Comme une école qui peut être un lieu de développement
transitoire des personnes, **l'entreprise ne trouvera son équilibre que dans la
mesure où son positionnement sera effectivement celui d'un lieu de croissance et
d'un lieu de vie**.

Bon, j'imagine que le côté « croissance » est questionnable, mais je pense qu'on
peut voir les choses sous l'angle positif de la croissance humaine, et non pas
uniquement économique.

> [...] Je pense effectivement que **les meilleurs seront ceux qui chercheront
dans l'entreprise non pas la finalité de leur existence, mais le lieu où ils
pourront développer au mieux leur propre potentiel**.
