---
save_as: resume/index.html
slug: resume
title: Alexis Métaireau / Resume
---
# Alexis Métaireau - Resume

---

| **Email**   | [alexis@notmyidea.org](mailto:alexis@notmyidea.org)                                                           |
| ----------- | ------------------------------------------------------------------------------------------------------------- |
| **Code**    | [https://github.com/almet](https://github.com/almet) and [https://gitlab.com/almet](https://gitlab.com/almet) |
| **Website** | [https://notmyidea.org](https://notmyidea.org)                                                                |
| **Country** | France                                                                                                        |

---
## Core Values and Interests

- **Free Software**: Active engagement with open-source software for years, enjoying the community spirit and culture of openness.
- **Cooperation and Mediation**: Enjoys collaborating with others and ensuring healthy interactions are as important as the work itself.
- **Pragmatism**: Strives for good practices without getting bogged down in unnecessary details, embracing the principle that "perfect can be the enemy of good."
- **Positive Mindset**: Approaches challenges with optimism, valuing a balanced and enjoyable working environment.

## Projects

- #### 🗺️ [uMap](https://umap-project.org) (2023-2024)
  Collaborative web-based map creation tool. Working on real-time collaborative features.
  
- #### 🚨 [Argos](https://framasoft.frama.io/framaspace/argos/) (2023-2024)
  Web supervision software and status board created for the [Framasoft Association](https://framasoft.org).

- #### 🧶 [Jacquard Pattern Generator](https://bekeko.notmyidea.org/) (2022)
  Tool for designing knitting patterns. Simplifies color and pattern choices for hand-crafted projects. ([Coded in Elm](https://github.com/almet/bekeko))

- #### 🙌 [Copanier](https://github.com/spiral-project/copanier) (2019-2024)
  Web software to facilitate group purchases, modified for a co-op. ([Coded in Python](https://github.com/almet/copanier))

- #### 💸 [I Hate Money](http://ihatemoney.org) (2011-2023)
  Expense management web service for groups. Maintains an open instance at [ihatemoney.org](https://ihatemoney.org). ([Coded in Python+Flask](https://github.com/spiral-project/ihatemoney))

- #### 🔄 [Kinto](https://github.com/kinto/kinto) (2012-2015)
  Generic backend for web applications, initiated at Mozilla. Used for data synchronization in Firefox. ([Coded in Python+Pyramid](https://github.com/Kinto/kinto))

- #### ✍️ [Pelican](http://getpelican.com) (2010-2017)
  Written a static site generator for transforming Markdown files into easily hosted websites. Used by projects like the [Linux Kernel](https://www.kernel.org/pelican.html) and [Debian](https://bits.debian.org/pages/about.html). ([Coded in Python](https://github.com/getpelican/pelican))

## Professional Experience

- #### Independent Developer (Since 2023)
  Contractor for different projects. [Blog](https://blog.notmyidea.org)

- #### Co-founder, [Brasserie du Vieux Singe](https://www.vieuxsinge.com/) (2017 - 2023)
  Established an organic craft brewery promoting cooperation. Transitioned out in the summer of 2023 to return to development.

- #### Engineer, [Mozilla](https://mozilla.org) (2011 - 2016)
  Part of the "Services" team working on user data, encryption, scaling sites like addons.mozilla.com, and data synchronization.

- #### [Le Grappe](https://www.reseaugrappe.org/) (2007 - 2012)
  Co-created and engaged in managing a network of environmental project organizations during student years, fostering collectivist values.

## Technical Skills

- **Python**: Regularly used, with familiarity in its ecosystem and community.
- **Linux**: Comfortable in operating system and server management, I use [Arch Linux](https://archlinux.org/) and [Debian](https://debian.org).
- **Frontend**: Enjoyed using [Elm](https://elm-lang.org/) for robust frontend development. I also use HTML, CSS, and JavaScript.
- **System Administration**: Experience with managing services for self and others, includes server maintenance.

## Education

- **Master's Degree in Software Engineering**, University of Oxford Brookes.
- **BTS Informatique et Réseau**, Angers.
