date: 2024-03-05
headline: notes hebdo de la semaine
projects: umap
---
# Notes hebdo #19

## Ce qui s'est passé

**🗺️ [uMap](https://umap-project.org)**
: Une semaine à consolider ce qui à été entamé la semaine précédente.
: Un correctif sur la fusion de données sur le serveur. [Le protocole que l'on utilisait](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Last-Modified) avait une résolution à la seconde, ce qui faisait que le serveur perdait les pédales. Ça m'a permis de voir d'un peu plus près certains aspects du code, et comment étaient générés les identifiants de version.
: Au passage, ça m'a permis de corriger un bug qui ne nous avait pas encore été rapporté.
: J'ai repassé du temps pour intégrer des changements dans des *pull-request* en attente. J'avais oublié que ça prenait parfois du temps en aller-retours.
: On a creusé un changement de fonctionnement interne pour uMap, question d'avoir un schéma général qui contiendrait toutes les informations utiles sur à la fois les types de données, la traduction des champs, et — à terme — peut-être une manière de se re-rendre.

**[Chariotte](https://chariotte.fr/)**
: On a pu se faire une petite session de pair avec bhorah, pour éviter qu'un formulaire ne soit envoyé deux fois. Je pensais naïvement que les CSRF nous permettraient de détecter ce genre de cas, mais ce n'était pas le cas. C'était agréable de se faire une session rapide et efficace. 

## Des joies 🤗

- Proposer une session de *pair programming* un peu tardif, qui m'a vraiment débloqué et à permis de changer l'issue de la journée 🥳
- Clarifier des choses importantes pour moi sur le fonctionnement de l'équipe. Je suis content des discussions à venir sur le sujet, et de comment les choses ont été reçues.

## Des peines 😬

- J'ai passé trop de temps à organiser notre première session de groupement d'achat, entre les aller-retours chez les producteur·ices et les temps plus administratifs de paiement et de gestion des comptes. J'aimerai qu'on se répartisse les choses d'une autre manière dans le futur.
- J'ai passé une journée décousue à cause de couché tardif + trois heures de cinéma dans l'après-midi. J'aimerai ne plus caler ce genre d'activités au milieu de la journée.

## Vu, Lu, etc
- 🎧 J'ai écouté plusieurs épisodes de podcast autour de l'agriculture [Sur France Culture](https://www.radiofrance.fr/franceculture/podcasts/serie-agriculteurs-le-temps-des-revoltes), puis un podcast à soi, avec [deux](https://www.arteradio.com/son/61680825/paysannes_en_lutte_1_2 ) [épisodes](https://www.arteradio.com/son/61681527/paysannes_en_lutte_2_2) qui parlent de ce que c'est d'être une femme dans le monde paysan. J'ai trouvé ça intéressant d'avoir une lecture féministe des enjeux paysans, et d'entendre des voix connues dans ce podcast, c'est toujours chouette !
- ⏯ Une vidéo [autour de la notion de progrès, avec François Jarrige](https://www.youtube.com/watch?v=i65icff3g8k&t=4491s), (quelques citations plus bas).
- [L'histoire de mediapart](https://www.radiofrance.fr/franceinter/podcasts/affaires-sensibles/affaires-sensibles-du-lundi-12-fevrier-2024-4735812), chez affaires sensibles (France Inter). Je ne mesurais pas qu'à l'époque c'était aussi novateur de lancer un journal en ligne avec abonnements. Chouette de voir le chemin parcouru, et content d'avoir un média qui défends l'indépendance.
- 🎧 Quelques épisodes de podcast chez Darknet Diaries. Je reste toujours très étonné de ce que j'y trouve. Cette fois ci l'épisode qui m'a le plus étonné est celui qui parle de [« Pig Butchering »](https://darknetdiaries.com/episode/141/), dans lequel on vient nourrir la victime avant d'en tirer le plus possible. Les arnaques sont vraiment bien préparées, au point qu'il était possible de piéger un expert en sécurité. Deux autres épisodes chouettes, un autour de [Axact](https://darknetdiaries.com/episode/142/) et de la manière dont des fausses formations sont vendues (avec des fausses universités, etc), et [The mimics of punjab](https://darknetdiaries.com/episode/138/), plus classique, mais ou on apprends qu'il est possible que des proches vendent des données personnelles pour aider des scammers au passage. Aouch.
- 📘 J'ai dévoré [« Écoute, jolie márcia »](https://www.caetla.fr/Ecoute-jolie-Marcia), une bande dessiné avec une ambiance très marquée, et des dessins qui m'ont embarqués, de manière très fluide. Les relations sont difficiles entre les personnages, mais ça rajoute du crédit à l'histoire.
- 📖 J'ai continué « Oser la confiance », et pris pas mal de notes. J'aime beaucoup certains passages autour des étapes de la constitution d'une équipe.
- 🍿J'ai revu Dune 1, et vu Dune 2. Le spectacle était au rendez-vous, sur grand écran et avec un son incroyable. 

## Notes

> L'objectif ce n'est pas d'abolir le travail. Il faut distinguer le travail salarié, l'emploi au sens strict du travail comme activité à travers laquelle on se réalise. Une société où il n'y aurait pas de travail aurait peu de sens, parce que le travail, c'est aussi une source d'épanouissement, de rencontre avec les autres, d'échange. C'est comme ça qu'on construit nos collectifs humains. Donc **l'enjeu, c'est moins de considérer que le travail doit être aboli, doit disparaitre, que de réinventer un travail qui soit émancipateur, qui permette d'avoir une relation réelle au monde, et pas cette relation artificielle qui se développe de plus en plus**.
> 
> — [François Jarrige](https://www.youtube.com/watch?v=i65icff3g8k&t=4491s)

> L'effet rebond est assez spectaculaire, prenons l'exemple du smartphone qui est l'incarnation du progrès. C'est vraiment devenu l'objet totémique du progrès. Dans l'histoire des techniques, c'est un objet fascinant. Un objet qui s'installe aussi massivement, aussi rapidement, qui en seulement une dizaine d'années est devenu un nouveau droit fondamental — aujourd'hui, disposer d'un smartphone, c'est quasiment aussi essentiel que d'accéder à l'eau, à la nourriture, au service public [...] En seulement 10-15 ans.
> 
> Le smartphone permet d'accroitre les communications, mais il se paye d'une augmentation considérable des consommations d'énergie, d'une quantité de déchets astronomiques, qu'on ne voit pas parce que tous ces déchets sont envoyés dans les pays du sud. [...]
> 
> **C'est ça l'éternel problème du progrès : on met en scène, on célèbre les gains dans tel ou tel domaine, et on invisibilise dans le même temps ce que j'appelle les « régrets », c'est-à-dire les conséquences négatives sur le plan social, politique et environnemental.** 

---

> A partir des années 60, ce PIB, et cette croissance économique vont devenir des espèces de totems, qui vont être identifiés au progrès. C'est à dire que le progrès est identifié à la croissance du PIB. Il ya une première crise dans les années 70, qui va être refermée dans les années 80-90, parce que la mondialisation néolibérale, l'innovation informatique donne l'impression qu'on va pouvoir recréer une croissance économique décorrélée  de ses impacts environnementaux et sociaux. **C'est ce qu'on va appeler le développement durable. C'est l'idée qu'il peut exister une croissance de la production parallelle à la durabilité.** C'est à dire une croissance de la production qui ne s'accompagnerait pas d'impacts écologiques négatifs. 

Content de voir le développement durable nommé aussi clairement. Ça me rappelle des prises de positions qu'on pouvait avoir dans les associations étudiantes écolo il y a quelques années !

> Depuis 20 ans, la notion de décroissance est devenu une sorte de repoussoir pour les acteurs économiques et politiques dominants, mais c'est aussi devenu une théorie de plus en plus sérieuse. **Il faut bien voir aujourd'hui que la décroissance est étudiée dans les écoles d'ingénieur**. Il y a des théoriciens de la décroissance, beaucoup plus dans le monde anglo-américain qu'en France paradoxalement.

---

## Limites

> Simply put, “boundary” may be a foreign concept, reserved for Western families. It’s important to remember that **boundaries are not about changing other people’s behaviors, but rather about protecting your finite energy and resources**. They are not walls to keep loved ones out, but rather a way to invite others to love you, too.
> 
> [...]
> 
> You don’t have to say NO to say no. Instead, **consider if or how you can offer a compromise or alternative that doesn’t cause you to forego your own comfort or needs**, while still showing and giving to people you care about. This can look like setting a time limit, or even offering a different compromise altogether.
> 
> — [How to set boundaries when you've never been taught to](https://greatergood.berkeley.edu/article/item/how_to_set_boundaries_when_youve_never_been_taught_how)

---

> Monitor your people pleasing. **People pleasing, or feeling responsible for others, can be a mark of enmeshment. Be mindful of how learned people pleasing is actually hindering your ability to set or uphold boundaries**. Often unlearning people pleasing will require:
> 
> - Pause and stall before saying yes. Research has found that even a short pause before making a choice increases [decision-making accuracy](https://www.verywellmind.com/decision-making-strategies-2795483). Instead of instinctively saying yes to what you will do for the holiday season, say, “Can I think about it?” or “I’ll let you know tomorrow!” This allows you to really, really think about what it means to commit to this (how stressed will you be? can you really take this on?) and can give you time to script or draft a text, email, or answer that feels more appropriate to you.
> - Remember that disappointing others doesn’t mean you are doing something wrong.
>   
> Be radically honest about what you can expect. Instead of trying to convince yourself that this time might be different, be realistic about what struggles or issues may arise based on historical patterns. This allows you to prepare for known triggers by preemptively playing out scenarios and noting how you can handle them in ways that feel good to you and allow you to care for yourself. (In other words, reflect on what you’re nervous will happen and then list how you can handle it so you feel more competent and confident.)
