---
date: 2024-03-12
headline: notes hebdo de la semaine
projects: umap
---
# Notes hebdo #20

Une semaine à Barcelone avec [Rémy](https://github.com/Natim) et [Mathieu](https://blog.mathieu-leplatre.info/), partagée entre des moments de boulot et des moments plus relax.

## Ce qui s'est passé

**🗺️ [uMap](https://umap-project.org)**
: J'ai refait une passe rapide sur les PR en cours d'intégration, et j'en ai profité pour m'assurer que le merge des features entre les anciennes versions (sans ids) et les nouvelles (avec ids) vont pouvoir fonctionner. Je suis content de voir que c'était déjà prévu dans le code d'origine, ouf, une chose de moins à se soucier.
: J'ai travaillé sur un article de comparaison sur les bibliothèques de CRDTs (à paraitre). Une partie du travail était de tester les bibliothèques en question (yjs, automerge, jsonjoy) pour synchroniser une carte Leaflet. Pas mal d'aspects intéressants, à la fois sur la dynamique de chaque communauté, mais aussi sur le fonctionnement par défaut qui est prévu par les adaptateurs Websockets, qui s'attendent à ce qu'un merge ait lieu coté serveur (alors que je m'attendais à ce que ce soit fait côté client).

## Des joies 🤗

- 🤗 Passer des moments à discuter et à échanger avec des anciens collègues, et voir que c'est fluide et qu'on à beaucoup apprécié travailler les uns avec les autres. Ça fait du bien ! 
- 🫣 Recevoir la confirmation qu'une de mes intuitions n'était pas bonne, sur des aspects techniques. Me rendre compte que j'étais la personne qui empêchait d'avancer, et lever les freins en question.
- 🧘🏼 Apprécier me ressourcer lors de plusieurs moments seuls dans cette semaine collective. J'en ai senti les bénéfices immédiats.
- 🙌 Me laisser porter, être hébergé dans le centre ville ouvrant une simplicité d'organisation.
- 🥹 Recevoir un mail de remerciement, ça m'a touché, il faut que je prenne le temps de répondre. 
## Des peines 😬

- 💥 Je me suis senti hors de ma zone de confort à travailler de manière décousue sur la semaine. J'aurais préféré travailler à des moments spécifiques et être complètement off à d'autres, pour maximiser le confort dans les deux cas. Là, c'était toujours un peu flottant. J'aimerais le prévoir pour mes prochains déplacements.
- 😮‍💨 Je me suis vu chercher la validation des autres. J'aimerai mieux évaluer mes compétences et limites.
## Vu, Lu, etc
- 🎧 [Proudhon, "La propriété, c’est le vol" : épisode • 2/4 du podcast Aux ordres de l’anarchie](https://www.radiofrance.fr/franceculture/podcasts/les-chemins-de-la-philosophie/proudhon-la-propriete-c-est-le-vol-7814820), épisode intéressant qui explique que pour Proudon, la propriété est surtout la « propriété industrielle », qui est distincte de la « possession ». Le propriétaire des forces de production récupérant le travail de ceux qui oeuvrent pour lui.
- 🎶 [Monolink (live) - Mayan Warrior - Burning Man 2022 - YouTube](https://www.youtube.com/watch?v=AQURf3JqnJY)
- 🎶 [Parra for Cuva (live) - Mayan Warriror - Burrning Man 2022 - YouTube](https://www.youtube.com/watch?v=7jfxcDudvS8)
- 🎶 [Mira - Mayan Warrior x Robot Heart Link Up - Burning Man 2019 - YouTube](https://www.youtube.com/watch?v=F9sCiyIWvcU)

---
## Décisions

> We use the phrase “making” decisions very intentionally: you do not discover a decision, or calculate it, or measure it, or even arrive at it. [A decision is a thing that you _make._](https://aworkinglibrary.com/writing/making-decisions) It’s a creative act. Recognizing that, I think, provides some direction for how to think about creating space for the work of making decisions. It’s less akin to making space for completing tasks or attending meetings, and more like making space for art.
> 
> — [On making decisions | everything changes](https://everythingchanges.us/blog/making-decisions/)

En français, peut-être qu'on peut trouver les mêmes mécanismes entre l'idée de « prendre une décision », ou de « faire un choix ». Je me rends compte que c'est quelque chose de pas tout à fait résolu pour moi qui laisse souvent les portes ouvertes, qui ait du mal à trancher.

J'aime bien l'idée de « faire » une décision, parce que c'est quelque chose qui peut aussi s'inscrire dans le temps. Contrairement à l'idée qu'une décision devrait se prendre nécessairement rapidement, on peut progresser vers le bon endroit.

---
## Comptes

> With the new version of Signal, **you will no longer broadcast your phone number to everyone you send messages to by default**, though you can choose to if you want. 
> [...]
> You also now have the option to set a username, which Signal lets you change whenever you want and delete when you don’t want it anymore.
> 
> [New Signal Usernames Help Stymie Subpoenas, Data Priavacy](https://theintercept.com/2024/03/04/signal-app-username-phone-number-privacy/)

Depuis le temps que les noms d'utilisateurs étaient attendus pour signal... je suis un peu déçu. Cela ressemble assez fortement à des liens d'invitation qui peuvent être désactivables, avec quelques soucis liés au squatting et au fait de pouvoir réutiliser d'anciens « usernames » qui ne sont plus utilisés.

> If Signal receives a subpoena demanding that they hand over all account data related to a user with a specific username that is currently active at the time that Signal looks it up, they would be able to link it to an account. **That means Signal would turn over that user’s phone number, along with the account creation date and the last connection date.**

Je m'attendais à ce que les numéros de téléphones ne soient plus requis, mais ce n'est malheureusement pas le cas, et il semble toujours possible de pouvoir lier un username avec un numéro de téléphone pour les gens qui opèrent les serveurs. Mince.

> In short, if you’re worried about Signal handing over your phone number to law enforcement based on your username, you should only set a username when you want someone to contact you, and then delete it afterward. And each time, always set a different username.
