---
date: 2024-04-01
headline: notes hebdo de la semaine
projects: umap
---
# Notes hebdo #23

## Ce qui s'est passé

**🗺️ [uMap](https://umap-project.org)**
: Des modifications sur la manière dont les tests sont lancés, pour faire en sorte qu'il soit plus facile de détecter des régressions. C'est utile dans le contexte actuel ou on bouge beaucoup la base de code, et ça s'insère dans notre intégration continue.
: Une mise en production qui se passe mal et qui [nous fait perdre des données](https://forum.openstreetmap.fr/t/mise-en-production-umap-v2-1-x-compliquee-perte-des-dernieres-donnees-sauvegardees-sur-52-cartes/22336). On n'avait pas prévu que le passage des identifiants séquentiels vers des identifiants uniques (uuid) allait rentrer en conflit avec le cache qui permet de garder d'anciennes versions accessibles. Ça nous aura pris du temps pour comprendre, et pour boucher les trous pour éviter que la navire prenne l'eau.
: J'ai travaillé sur une demande de financement pour NLNet autour du support des tuiles vectorielles. Affaire à suivre.

⚡️ **Flash Messenger**
: Deux jours de travail (en mode *hackaton*) sur un projet de messagerie chiffrée qui efface les messages de sa mémoire une fois lus. Mes premiers pas en rust, et l'occasion de refaire un peu de chiffrement de données en python.

## Des joies 🤗

- Apprendre avec d'autres personnes. C'était grisant d'échanger autour du code, de comprendre des concepts en faisant.
- Relâcher la pression pour avancer sur uMap, ça fait du bien de travailler quand je sens que ça va avancer, et de ne pas le faire quand je sens que j'ai la tête ailleurs.

## Des peines 😬

- J'étais complètement décalé et en gros manque de sommeil. J'aimerai m'en rendre compte plus tôt pour changer de schéma.
- Je suis triste de voir que parfois je prends une posture de « sachant » qui pourrait être intéressante mais en pratique bloque la conversation. J'aimerai m'en défaire, que les discussions s'ouvrent.

## Vu, Lu, etc

- J'ai commencé la lecture de « La fille feu follet » de Ursula K Leguin.
- [How to change a system (18 ways) – Changeology](https://www.enablingchange.com.au/blog/strategy-2/how-to-change-a-system/) qui fait un travail de fond sur les différentes manières de faire évoluer un système. Beaucoup de pistes, je me demande comment c'est utilisable en pratique.

## Notes

### Cryptographie

En avançant sur Flash Messenger, j'ai découvert que les primitives en curves elliptiques "NIST" [ne sont pas considérées sécures](https://safecurves.cr.yp.to/) pour du chiffrement de données. Ce sont pourtant celles qui sont le plus utilisées à l'heure actuelle, il me semble. J'aimerai mieux comprendre en quoi (et comment) ça pourrait être un problème.

Je bifurque vers l'utilisation de chiffrement symétrique (juste une clé privée) plutôt qu'asymétrique (clé privée + clé publique) pour la partie chiffrement. J'en profite pour regarder un peu ce qu'il se fait en terme de bibliothèques ([libsodium](https://pynacl.readthedocs.io/en/latest/), [cryptography](https://cryptography.io/), [noise](https://noiseprotocol.org/noise.html)) et je réussis à mieux les mettre dans différentes cases.

Noise me semble proposer une approche plus haut niveau de comment les primitives de crypto sont utilisées ensemble, dans un protocole qui a du sens du point de vue sécurité, en rendant les vecteurs d'attaque clairs.

---
### Travail

> Le management moderne cherche à responsabiliser le·la salarié·e par rapport au maintien de son propre emploi et de son propre salaire, ce qui n’a rien d’original et s’étend à l’ensemble du monde du travail. En droit du travail, il relève pourtant de la responsabilité de l’employeur de fournir un travail et de le rémunérer. La responsabilité du salarié est alors d’exécuter le travail prévu dans le contrat de travail en se subordonnant aux directives, au contrôle et aux possibles sanctions de son employeur. **Le discours selon lequel le salarié devrait être compétitif, flexible, dévoué pour maintenir son entreprise et son emploi révèle encore un abus de l’employeur qui se décharge sur ses salarié·es de sa propre responsabilité**. Là encore, un rappel des fonctions et des responsabilités peut permettre de distinguer ce qui relève de la pression extérieure et d’une méthode de management.
> [Le syndrome du patron de gauche (Arthur Brault-Moreau) — Zéro Janvier](https://blog.zerojanvier.fr/le-syndrome-du-patron-de-gauche-arthur-brault-moreau?pk_campaign=rss-feed)
