---
date: 2024-04-30
headline: notes hebdo de la semaine
projects: argos, ihatemoney
---
# Notes hebdo #27

## Ce qui s'est passé

Une semaine de pause, consacrée au bricolage d'une cuisine pour l'accueil de groupes dans un logement collectif, entrecoupé de quelques petits points sur Argos et Ihatemoney.

🔴 **[Argos](https://framagit.org/framasoft/framaspace/argos)**
: On a publié la première release avec Luc !
: J'ai mis en place Argos pour les sites dont j'ai la charge (je n'avais aucune supervision)

💰 **[Ihatemoney](https://ihatemoney.org/)**
: On fait deux sessions de revue des différents tickets et pull requests en cours, avec Zorun
: On a passé le projet [en mode maintenance](https://github.com/spiral-project/ihatemoney/pull/1306/files) dans l'idée que le projet est maintenant « mûr » et qu'on souhaite réduire au maximum les nouvelles fonctionnalités.
## Des joies 🤗

- J'ai eu la confirmation que j'allais travailler pour [Freedom of the Press Foundation](https://freedom.press/), sur [Danger Zone](https://dangerzone.rocks/) ! C'est assez excitant :-)
- Apprendre à faire de l'installation électrique, percer des murs, refaire un (tout petit) peu de plomberie. C'est plaisant de voir le résultat, et ça vient améliorer la confiance en moi là ou j'en ai besoin.
- Faire deux sessions de pair review et de discussion, durant lesquelles la discussion était simple et fluide.
## Des peines 😬

- Je me suis senti frustré de laisser en plan le travail en cours pour uMap pour cette semaine. J'ai l'impression de m'arrêter en pleine prise d'élan. Hâte d'y retourner.
- Je me sens un peu stressé à l'idée de faire des semaines uMap + DangerZone, peur de trop de travail. J'aimerais clarifier la situation avec moi même et pour les deux équipes, pour que ce ne soit pas mes vacances de cet été qui viennent faire tampon, et que je ne jongle pas trop d'un projet à l'autre.
## Vu, Lu, etc

- 📘 Continué « La volonté de changer », de bell hooks.
- 🎶 [ECHT! - DUNES (Live Session)](https://www.youtube.com/watch?v=IeqvtXdniu4)
- 🎶 J'ai découvert [La Mèche](https://lameche.bandcamp.com/album/la-m-che): un mix de sous-bassophone, sax ténor et batterie, génial !
- ⏯ [La Quadrature des Alex](https://www.youtube.com/watch?v=M-cFzVNrqKo), une aventure créé par Sam, en mode jeux de rôles, ou tout le monde s'appelle Alex, il fallait que j'écoute :-)
- 🕸 [Quelle est la capacité de Deuxfleurs ?](https://quentin.dufour.io/blog/2024-04-27/capa-web-deuxfleurs/) qui parle de comment l'architecture de DeuxFleurs est faite, et de ce que ça veut dire en terme de gestion de la charge. J'apprécie beaucoup lire ces détails techniques qui me donnent une meilleure compréhension du fonctionnement global.
- [À la rencontre de Fifine la renarde](https://cqfd-journal.org/A-la-rencontre-de-Fifine-la) qui parle d'une amitié avec une renarde, et d'un changement de perspective sur le vivant. Ça me touche, et ça connecte avec des discussions Ornito.

## Écran

> A chaque fait divers dramatique, le rôle donc “des écrans” ou “des réseaux” est convoqué non pour ce qu’il est (c’est à dire un facteur parmi d’autres mais jamais une causalité simple) mais pour ce qu’il permet de taire (l’effondrement des politiques publiques de l’accompagnement des mineurs en général, à commencer par celles et ceux qui traversent les situations les plus difficiles)
> — [Coercition de l’intime. De Viry-Châtillon à Gaza. Sans retour. – affordance.info](https://affordance.framasoft.org/2024/04/coercition-de-lintime-de-viry-chatillon-a-gaza-sans-retour/)

Marrant de voir des écrans utilisés pour « faire écran » et remplacer la discussion qui pourrait être intéressante 🙄.

---
## Valeur

> Spend time with every single other department at your company; spend time with users (as much as possible); spend time reading everything that comes across your desk. **Get really really good at asking clarifying questions and combining disparate threads**. Then write some code — and what you write matters much less than the outcome of its deployment, because despite what anodyne publicly-posted job descriptions might tell you your job is not to write code — it is to produce value for the organization.
> — [Your job is to produce value · Applied Cartography](https://jmduke.com/posts/microblog/produce-value/)

Ça fait beaucoup écho à des discussions du moment autour de la notion d'estime de soi, autour des injonctions que je me crée, et de ce que ce serait qu'un sentiment d'imposture. Finalement, qu'est-ce qu'on se raconte sur ce que les gens attendent de nous ? De la technique, certes, mais pas uniquement.

La part de l'humain — les compétences psycho-sociales — me semblent tout aussi importante(s).

---
## Équipe

Everything Changes continue de me nourrir (merci David pour la recommendation via tes notes). Cette semaine,  [Four factors of thriving](https://everythingchanges.us/blog/four-factors-of-thriving/) qui parle d'[un papier de recherche](https://ieeexplore.ieee.org/document/10491133) sur les équipes de dev, et de comment les rendre « prospères et productives ». Dans le papier:

> Taken together, the findings suggest that organizations can improve developer productivity in a human-centered way **by improving developer thriving – for example, by considering factors such as enough learning time, strong supportive cultures, the opportunity to give feedback, and recognition for effort work and difficult problem-solving.**
> 
> Additionally, organizations can further unlock the benefits of thriving by making developers’ work both visible and valued, for example by using shared, accurate measures of software work, paying special attention to teams or types of engineering work that do not get shared broadly, and investing in systems that explicitly recognize and reward teams for the technical progress they make, particularly work that was unexpectedly challenging, required new skills, or fixed long-standing problems

