---
date: 2023-10-23
headline: J'ai passé la majeure partie de ma semaine seul, ponctuée par quelques ballades en bord de mer. J'ai pu reprendre contact avec la technologie et bien avancer sur le projet Argos.
projects: argos, umap, notmyidea
---

# 2023, Semaine 42

J'ai passé la majeure partie de ma semaine seul, ponctuée par quelques ballades en bord de mer. J'ai pu reprendre contact avec la technologie et bien avancer sur le projet Argos.

## Ce qui s'est passé

**Framasoft / Argos**
: Quatrième et dernière semaine rémunérée sur le projet. Je suis très content de là ou en est le projet. J'ai pris le temps d'ajouter de l'intégration continue, des tests et de la documentation.
: J'ai passé plus de temps que prévu à installer et à rendre fonctionnel PostgreSQL sur ma machine, et je me souviens que c'est souvent le cas pour moi. J'ai fini par écrire un mini tutoriel dans la documentation à ce propos, en espérant que ça serve.
: J'ai pu tester l'installation et l'utilisation de l'outil sur plusieurs systèmes d'exploitation, et en même temps tester la virtualisation QEMU depuis mon ordinateur.
: J'ai passé du temps à écrire des requêtes SQL avec SQLAlchemy, en trouvant ça beaucoup plus compliqué que de raison…
: On a pu se faire une réunion de fin où j'ai validé avec Luc que le travail effectué correspondait bien à leurs attentes. Je suis content de réaliser que les choix techniques faits permettent d'avoir une performance satisfaisante et de pouvoir tester toute l'infrastructure depuis une seule machine.

**Umap**
: le tuilage est presque parfait puisque je vais pouvoir commencer à travailler sur Umap début Novembre. L'idée est de travailler à une solution autour de la synchronisation de données géographiques. Je vous en dis plus bientôt.
: J'ai pris le temps d'installer l'outil et de commencer à me familiariser avec le code.
: J'ai commencé à passer en revue des projets qui font de la synchronisation de données en temps réel.

**Notmyidea**
: J'ai passé du temps à me renseigner sur les protocoles VPN et leurs alternatives. J'ai rencontré Wireguard qui me semble être une approche minimaliste et sécure.
: Je continue d'osciller à propos du statut juridique à adopter pour mon activité pro. Je me fixe la semaine prochaine :-)

## Des joies

- Passer du temps seul, apprécier le silence et le manque de sollicitations. L'organisation quotidienne est quand même grandement simplifiée.
- Me promener et découvrir des espèces d'oiseaux que je ne connaissais pas, à mon propre rythme.
- Assumer mon rapport à la technologie auprès de tiers. « Oui, je suis un geek et je crois qu'il ne faut pas laisser la technologie uniquement aux puissant•es ».
- Rentrer chez moi et être content de retrouver certaines dynamiques collectives.
- Réussir à clarifier mes besoins en avance pour permettre d'éviter une frustration qui aurait pu arriver sinon.
- Revenir sur des conflits passés et pouvoir en parler avec du recul, et avec une analyse différente, en utilisant une approche systémique.
- Réussir à écouter une conversation et ne donner mon avis que si on me le demande.
- Revivre des effluves d'été, à la fois posé en haut de la pointe du Roselier (St Brieuc), à la fois en voyant [l'after-movie du festival l'Été de Vaour](https://www.youtube.com/watch?v=2JEZLOaDKus&feature=youtu.be)
- Avoir un remerciement pour une position pas évidente que j'ai eu avec un ami il y a quelques années, avec du recul. Ça soigne :-)

## Des peines

- Voir les réactions viriles et bloquantes de certains hommes dans le public durant des concerts.
- Intervenir pour « gérer un mec bourré » en soirée qui semblait ne pas comprendre que son comportement était déplacé. Je suis content de la manière dont les choses se sont passées, mais triste de voir qu'on en est toujours là.

## Vu, lu, écouté

- 🎵 J'ai découvert deux groupes en live : [The inspector Cluzo](https://fr.wikipedia.org/wiki/The_Inspector_Cluzo) et [Kokomo](https://www.wikiwand.com/fr/Ko_Ko_Mo_(groupe_de_rock_fran%C3%A7ais)) durant un festival. J'ai beaucoup aimé l'émotion qui ressortait des deux, si on mets de côté le côté un peu viril qui peut parfois en sortir. Ça fait du bien de voir de la musique live.
- 🗯️ [Julia Cagé, François Ruffin, Thomas Piketty sur Médiapart](https://www.youtube.com/watch?v=zYoPYLqWcp4&themeRefresh=1). J'ai trouvé les analyses de Julia Cagé et Thomas Piketty intéressante, mais malheureusement le ton de Ruffin assez fatiguant. Ça doit être fatiguant de ne pas répondre aux questions qu'on se fait poser. Malgré tout une vidéo intéressante.
- 📖 J'ai lu [Paroles d'honneur](https://arenes.fr/livre/paroles-dhonneur/) de Leïla Slimani et Laetitia Coryn, qui parle du rapport à la sexualité au Maroc. J'ai beaucoup aimé à la fois le discours, le ton et les illustrations.
- ▶︎ [La MISERE des hommes SOUS LES DRAPS](https://www.youtube.com/watch?v=w6PLAmhjt50) et [ETRE UN HOMME : L'homme alpha](https://www.youtube.com/watch?v=cb7zlAkiSGw), deux vidéos de Léo, qui parlent respectivement de la « misère sexuelle » et de la compétition entre hommes. Plusieurs bouts font écho chez moi, sur des questions qui m'animent depuis longtemps autour de la compétition.

## Technique

- J'ai été content de lire ce document qui introduit les CRDT en 2019 https://www.inkandswitch.com/local-first/
- Anthropic semble réussir à [isoler les neurones d'un réseau neuronal](https://nitter.net/anthropicai/status/1709986949711200722) pour qu'ils se spécialisent sur une seule tache, grace à de l'apprentissage par dictionnaire ;
- Simon Willison [à fait un outil qui permet de récupérer une version ECMAScript d'une bibliothèque JS de votre choix](https://simonwillison.net/2023/May/2/download-esm/), en passant par npm et jsdelivr, et David Larlet [à fait quelque chose de similaire](https://gitlab.com/davidbgk/umap-stats/-/blob/main/npm.py), qui s'intègre facilement aux fichiers `pyproject.toml` utiles en python)
- [Une explication de l'état du packaging en python](https://drivendata.co/blog/python-packaging-2023) qui m'a fait du bien. J'ai fait un GSOC en 2010 — il y a 13 ans ! — sur le sujet du packaging, je suis content de voir que ça à beaucoup avancé, mais malheureusement que les choses ne sont pas encore très simples à comprendre.
- Une vidéo de SimonW [ou il résumé l'année qu'on vient de passer du point de vue de l'AI](https://www.youtube.com/watch?v=qw4PrtyvJI0&t=24953s)

*[GSOC]: Google Summer of Code